// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: Management.proto

package proto.management;

public interface ClanLeaveNotificationOrBuilder extends
        // @@protoc_insertion_point(interface_extends:management.ClanLeaveNotification)
        com.google.protobuf.MessageOrBuilder {

    /**
     * <code>required string username = 1;</code>
     *
     * @return Whether the username field is set.
     */
    boolean hasUsername();

    /**
     * <code>required string username = 1;</code>
     *
     * @return The username.
     */
    java.lang.String getUsername();

    /**
     * <code>required string username = 1;</code>
     *
     * @return The bytes for username.
     */
    com.google.protobuf.ByteString
    getUsernameBytes();

    /**
     * <code>required string clanName = 2;</code>
     *
     * @return Whether the clanName field is set.
     */
    boolean hasClanName();

    /**
     * <code>required string clanName = 2;</code>
     *
     * @return The clanName.
     */
    java.lang.String getClanName();

    /**
     * <code>required string clanName = 2;</code>
     *
     * @return The bytes for clanName.
     */
    com.google.protobuf.ByteString
    getClanNameBytes();

    /**
     * <code>required int32 world = 3;</code>
     *
     * @return Whether the world field is set.
     */
    boolean hasWorld();

    /**
     * <code>required int32 world = 3;</code>
     *
     * @return The world.
     */
    int getWorld();
}
